import traverse from "babel-traverse";
import * as t from "babel-types";
import generate from "babel-generator";
import template from "babel-template";

export default function(code){
    let ast = babylon.parse(code);
    
    traverse(ast, {
        enter(path) {
            if(t.isStringLiteral(path.node)){
                if(t.isCallExpression(path.parent)){
                    switch(path.node.value[0]){
                        case '#':
                            path.parent.callee.name = 'document.getElementById';
                            path.node.value = path.node.value.slice(1);
                            break;
                        case ".":
                            path.parent.callee.name = 'document.getElementsByClassName';
                            path.node.value = path.node.value.slice(1);
                            break;
                        default:
                            path.parent.callee.name = 'document.getElementsByTagName';
                            break;
                    }
                };
            };		
        }
    });

    return generate(ast, {}, code).code ;
}

